<?php include('casa/setup.casa.php');

$solic_codigo= DataForms::GET('solic_codigo');
$solic_id=DataForms::GET('solic_id');
$usUbicacion = DataForms::GET('usUbicacion');

include('inc_scripts.php');
$title = 'Cancelar Traspaso??';
echo "<title>".AppName.' - '.$title."</title>";

function Productos($solic_codigo,$solic_id,$usUbicacion){
	$Productos = new DB();
	$User = new DB();
	$Ubicacion = new DB();
	$origenUbic = new DB();
	$Aprobante = new DB();

	$sqlProductos = "SELECT * FROM inventarios_solicitartraspasos solic, inventarios_productos prod
	WHERE solic.prod_codigo = prod.prod_codigo
	AND prod.prod_estado = '1'
	AND solic.solic_estado = '0'
	AND solic.solic_codigo = '$solic_codigo';";	

	$Productos->dbSQL($sqlProductos);
	$i=0;
	$html = '';
	$opc='';
	while($Productos->next()){										
	$i++;
	$prod_id = $Productos->dbField('prod_id');
	$solic_estado = $Productos->dbField('solic_estado');
	//origenUbicacion
	$sqlorigenUbic = "SELECT * FROM inventarios_productos prod, inventarios_ubicaciones ubi
	WHERE prod.ubica_codigo = ubi.ubica_codigo
	AND prod.prod_id = '$prod_id';";
	$origenUbic->dbSQL($sqlorigenUbic);
	if($origenUbic->next()){
		$origen22 = $origenUbic->dbField('ubica_nombre');
		$origencolor = $origenUbic->dbField('ubica_color');
	}else{		
		$origen22 = 'CENTRAL';
		$origencolor = '#ffff00';
	}
	
		$solic_ubicacodigo = $Productos->dbField('solic_ubicacodigo');
			//$ubica_nombre = $Productos->dbField('ubica_nombre');			
			//$ubica_color = $Productos->dbField('ubica_color');												
		$prod_item = $Productos->dbField('prod_item');
		$prod_codigo = $Productos->dbField('prod_codigo');
		$prod_nombre = $Productos->dbField('prod_nombre');
		$prod_foto = $Productos->dbField('prod_foto');
			if(($prod_foto=='')or($prod_foto=='vacio')) $prod_foto = 'vacio.png';
		$prod_piezascaja = $Productos->dbField('prod_piezascaja');
		$prod_cantidadcajas = $Productos->dbField('prod_cantidadcajas');
		$prod_unidadesreal = $Productos->dbField('prod_unidadesreal');	
			$CantidadRealCajas = $prod_unidadesreal / $prod_piezascaja;											
		$prod_preciounitario = $Productos->dbField('prod_preciounitario');
		$prod_preciodocena = $Productos->dbField('prod_preciodocena');
		$prod_preciocajadocena = $Productos->dbField('prod_preciocajadocena');
		$prod_fecha = $Productos->dbField('prod_fecha');
		$prod_observaciones = $Productos->dbField('prod_observaciones');
		  if($prod_observaciones=='') $prod_observaciones='Sin Observaciones';
		//solicitudes											
		$solic_cantidadcajas = $Productos->dbField('solic_cantidadcajas');
		//$solic_estado = $Productos->dbField('solic_estado');
		$solic_fecha = $Productos->dbField('solic_fecha');
		$solic_aprobadopor = $Productos->dbField('solic_aprobadopor');
		//almacen que aprobo la solicitud
		$sqlAprobante="SELECT * FROM rol_usuarios
		WHERE us_id = '$solic_aprobadopor';";
		$Aprobante->dbSQL($sqlAprobante);
		$Aprobante->next();
		$AprobadoPor = $Aprobante->dbField('us_nombres').' '.$Aprobante->dbField('us_apellidos');
		if($solic_estado==0){
			$opc = $AprobadoPor;
		}else{
			$opc = '<span class="btn">
			ENTREGADO autorizado por: '.$AprobadoPor.'</span>';
		}
		$html.='<tr>';
		$html.='<td><b>'.$prod_item.'</b></td>';
		$html.='<td><b>'.strtoupper($prod_nombre).'</b>';
		$html.='<td align=center>'.$solic_cantidadcajas.' cajas</td>';
		$html.='<td align=center>
		<span style="background:'.$origencolor.';padding:3px 7px;border-radius:5px;">'.$origen22.'</span></b></td>';
		$html.='<td align=center>'.$usUbicacion.'</td>';												
		$html.='</tr>';											
		
		}//wend() $Productos
		$html.='<tr><td colspan=5 align=center>'.$opc.'</td></tr>';	
	return $html;
}
?>
<style>
th{background:#156E10;
color:white;
text-align:center;
text-transform:uppercase;}	
.btn{
	font-weight:bold;
	font-size:22px;
	padding:2px 45px;
}
</style>

</head>
<body>
	<div class="wrapper">
	
	<?php include('inc_menu.php');?>

		<div class="main-panel">
			<div class="content">
				
				<div class="page-inner">						
				<div class="row">
						<div class="col-md-12">
						<form>
							<div class="card">
								<div class="card-header">
									<div class="card-title"><?php echo $title?></div>
								</div>
								<div class="card-body">
									<div class="row">	
									<table class="display table table-striped table-hover">
									<thead>
										<tr>													
											<th>Item</th>
											<th>Descripcion</th>
											<th>cantidad</th>
											<th>ubicacion <br> origen</th> 
											<th>ubicacion <br> final</th> 
										</tr>
									</thead>
										<tbody>	
											<?php echo Productos($solic_codigo,$solic_id,$usUbicacion);?>
										</tbody>
									</table>									
										
									</div>
								</div>
								<div class="card-action"><center>
									<div id='res'></div>
									<a href='<?php echo PATH_HOME.'traspasos-solicitudes-usuarios-cajeros/lista'; ?>' class="btn btn-danger"><b> CANCELAR </b></a>
									<button class="btn btn-info" type='submit'><b> SI CANCELAR TRASPASO </b></button>	</center>								
								</div>
							</div>
						</form>
						</div>
					</div>
				</div>
				
			</div>
			<?php include('inc_pie.php');?>
		</div>
		
		
	</div>
</body>
</html>
<script>
$('form').on('submit', function(event) {
  event.preventDefault();

  $.post('<?php echo PATH_HOME.'traspasos-cancelar2.php?cod='.sha1(uniqid()); ?>',{
	 'codigo': '<?php echo $solic_codigo; ?>',	 	 
    'MxEncoder': '<?php echo sha1(uniqid()); ?>'
  },function(data){
    $('#res').html(data);
  });  
});
</script>